<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSADH"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.RegistryObjectListEditor']}</h1>
        <h:form>
            #{registryObjectListMetadataEditorManager.reloadSelectedRegistryObjectListMetaData()}
            <gri:panel pid="globalpanel">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditRegistryObjectListMetadataContent']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Back']}" styleClass="gzl-btn"
                                       action="/admin/listRegistryObjectList.xhtml"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Save']}" styleClass="gzl-btn-green"
                                       action="#{registryObjectListMetadataEditorManager.saveSelectedRegistryObjectListMetadata()}"
                                       render="messageDecoration"/>
                </f:facet>
                <ui:include src="/admin/ROListTable.xhtml">
                    <ui:param name="selectedRO"
                              value="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata}"/>
                    <ui:param name="ROManager" value="#{registryObjectListMetadataEditorManager}"/>
                </ui:include>
                <s:div id="extradiv">
                    <s:div rendered="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata.id!=null}">
                        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ExtraConstraints']}"/>
                        <gdk:spacer height="5px"/>
                        <a4j:commandLink
                                action="#{registryObjectListMetadataEditorManager.initSelectedExtraConstraint()}"
                                oncomplete="jq162('#add_extra_constraint').modal('show');"
                                render="extraForm,add_extra_constraint">
                            <span class="gzl-icon-plus"/>
                        </a4j:commandLink>
                        <br/>
                    </s:div>
                    <rich:dataTable
                            value="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata.extraConstraintSpecifications}"
                            var="extra"
                            rendered="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata.extraConstraintSpecifications.size() &gt; 0}">
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
                            <h:outputText value="#{extra.id}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Kind']}</ui:define>
                            <h:outputText value="#{extra.kind}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Xpath']}</ui:define>
                            <h:outputText value="#{extra.xpath}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Description']}</ui:define>
                            <h:outputText value="#{extra.description}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                            <div>
                                <a4j:commandLink
                                        action="#{registryObjectListMetadataEditorManager.setSelectedConstraintSpecification(extra)}"
                                        oncomplete="jq162('#add_extra_constraint').modal('show');"
                                        render="extraForm,add_extra_constraint">
                                    <span class="gzl-icon-pencil"/>
                                </a4j:commandLink>
                                <gdk:spacer height="5px"/>
                                <a4j:commandLink
                                        action="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata.extraConstraintSpecifications.remove(extra)}"
                                        render="extradiv">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </div>
                        </g:column>
                    </rich:dataTable>
                </s:div>
            </gri:panel>
        </h:form>

        <h:form id="extraForm">
            <gri:popupPanel id="add_extra_constraint">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditExtraConstraint']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#add_extra_constraint').modal('hide')"
                                       execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       action="#{registryObjectListMetadataEditorManager.saveSelectedExtraConstraint()}"
                                       onclick="jq162('#add_extra_constraint').modal('hide');"
                                       render="extradiv"/>
                </f:facet>
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Kind']}</ui:define>
                        <h:selectOneMenu id="subscriptions" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{registryObjectListMetadataEditorManager.selectedConstraintSpecification.kind}">
                            <f:selectItem id="errorItem" itemLabel="#{messages['net.ihe.gazelle.xdstar.Error']}"
                                          itemValue="error"/>
                            <f:selectItem id="warningItem" itemLabel="#{messages['net.ihe.gazelle.xdstar.Warning']}"
                                          itemValue="warning"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Xpath']}</ui:define>
                        <h:inputTextarea cols="50" rows="6"
                                         value="#{registryObjectListMetadataEditorManager.selectedConstraintSpecification.xpath}"
                                         styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Description']}</ui:define>
                        <h:inputTextarea cols="50" rows="6"
                                         value="#{registryObjectListMetadataEditorManager.selectedConstraintSpecification.description}"
                                         styleClass="form-control"/>
                    </s:decorate>

                </div>
            </gri:popupPanel>
        </h:form>

        <ui:include src="/admin/ROListModalPanels.xhtml">
            <ui:param name="selectedRO" value="#{registryObjectListMetadataEditorManager.selectedRegistryObjectListMetadata}"/>
            <ui:param name="ROManager" value="#{registryObjectListMetadataEditorManager}"/>
        </ui:include>
    </ui:define>
</ui:composition>